%global realname edown
%global upstream esl
%global debug_package %{nil}
%global git_tag 2a60bd1
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.3.0
Release:	1%{?dist}
Summary:	EDoc extension for generating Github-flavored Markdown
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/esl/edown
# wget --no-check-certificate --content-disposition https://github.com/esl/edown/tarball/v0.3.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-edown-0001-Fix-for-EL5.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-edoc
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-stdlib
Requires:	erlang-xmerl


%description
EDoc extension for generating Github-flavored Markdown.


%prep
%setup -q -n %{upstream}-%{realname}-a5bc641
%if 0%{?el5}
# Erlang/OTP R12B5
%patch1 -p1
%endif
sed -i -e "s,git,\"%{version}\",g" src/%{realname}.app.src


%build
rebar compile -v
./make_doc


%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NOTICE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam


%changelog
* Fri Jun 01 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.3.0-1
- Ver. 0.3.0
- Fixed building on EL5

* Mon May 28 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.4-2
- Use system-wide rebar

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.2.4-1
- Ver. 0.2.4
